# Transaction Status at Query (TSQ)

The "Transaction Status Query" endpoint allows customers to query a transaction's status. It enables the retrieval of a specific transaction's current status, providing information on whether the transaction is pending, successful, or failed.<br>

<mark style="color:blue;">`GET`</mark> `/api/Transfer/v1/TSQ`

\
To retrieve the current status of the transaction, you need to provide the `TransactionRef` to the query request.

**Headers**

| Name                                            | Value                |
| ----------------------------------------------- | -------------------- |
| Content-Type<mark style="color:red;">\*</mark>  | `application/json`   |
| Authorization<mark style="color:red;">\*</mark> | `Bearer <token>`     |
| Request-Reference                               | `{unique-reference}` |

**Query Parameter**

<table><thead><tr><th width="196">Name</th><th width="177">Data Type (length)</th><th>Description</th><th data-hidden>Required</th></tr></thead><tbody><tr><td><code>TransactionRef</code></td><td>string</td><td>The unique identifier for the account transaction can be a transaction reference  <code>transactionID</code> or <code>sessionID</code> of the transaction</td><td></td></tr></tbody></table>

Here is an example request and response with a sample payload sent to the endpoint in Curl format.

<details>

<summary>Sample Request</summary>

```json
curl --location -g '{{baseurl}}/api/LoanAccount/v1/Search?AccountNumber=1000002992&CustomerID=001&AccountName=Test&ProductCode=001&AccountOfficerCode=002&AccountStatus=Active&HasDisbursed=Yes&StartDate=2022-01-01&EndDate=2022-03-09&PageNumber=1&PageSize=10&SortColumn=DateCreated&Direction=asc' \
--header 'Authorization: bearer {token}' \
--header 'request-reference: {unique_reference}' \
--header 'Content-Type: application/json' \
--data ''
```

</details>

<details>

<summary>Respose: <code>200</code></summary>

```json
{
  "status": true,
  "message": "string",
  "data": {
    "data": [
      {
        "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
        "accountNumber": "string",
        "name": "string",
        "accountStatus": "string",
        "customerID": "string",
        "linkedNumber": "string",
        "accountOfficerCode": "string",
        "productCode": "string",
        "lendingModel": "string",
        "economicSector": "string",
        "guarantorID1": "string",
        "guarantor1": {
          "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
          "customerID": "string",
          "name": "string",
          "phoneNumber": "string"
        },
        "guarantorID2": "string",
        "guarantor2": {
          "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
          "customerID": "string",
          "name": "string",
          "phoneNumber": "string"
        },
        "penaltyGracePeriod": 0,
        "loanAmount": 0,
        "dateCreated": "2023-01-29T15:05:30.196Z",
        "dateLastModified": "2023-01-29T15:05:30.196Z",
        "approvedDate": "2023-01-29T15:05:30.196Z",
        "interestCommencementDate": "2023-01-29T15:05:30.196Z",
        "tenure": 0,
        "startDate": "2023-01-29T15:05:30.196Z",
        "maturityDate": "2023-01-29T15:05:30.196Z",
        "installmentAmount": 0,
        "hasCollateralPledge": true,
        "collateralType": "string",
        "collateralValuation": 0,
        "collateralDescription": "string",
        "principalRepaymentType": "string",
        "principalFrequency": "string",
        "principalToBeRepaidEvery": 0,
        "principalInstallment": 0,
        "applicableInterestCode": "string",
        "interestName": "string",
        "useProductInterestRate": true,
        "applicableInterestRate": 0,
        "defaultingInterestRate": 0,
        "interestRepaymentType": "string",
        "interestFrequency": "string",
        "interestToBeRepaidEvery": 0,
        "interestInstallment": 0,
        "interestAccrualMode": "string",
        "interestFreePrincipalAmount": 0,
        "securityDeposit": 0,
        "applyLoanFees": true,
        "productName": "string",
        "accountOfficerName": "string",
        "branchName": "string",
        "ledgerBalance": 0,
        "unpaidPrincipal": 0,
        "outstandingLoanPrincipal": 0,
        "outstandingLoanInterest": 0,
        "outstandingLoanFee": 0,
        "hasDisbursed": true,
        "hasOutstandingLoan": true,
        "dateCreatedFinancial": "2023-01-29T15:05:30.196Z",
        "firstInstallmentDate": "2023-01-29T15:05:30.196Z",
        "closureDate": "2023-01-29T15:05:30.196Z",
        "enableRepaymentTracker": true,
        "repaymentTrackerInDays": 0,
        "loanFees": [
          {
            "loanFeeCode": "string"
          }
        ],
        "paymentSchedules": [
          {
            "loanAccountNumber": "string",
            "linkedNumber": "string",
            "principal": 0,
            "interest": 0,
            "fee": 0,
            "totalRepayment": 0,
            "paymentDate": "string",
            "paymentDate_Date": "2023-01-29T15:05:30.196Z",
            "hasProcessed": true,
            "paymentStatus": "string"
          }
        ]
      }
    ],
    "recordCount": 0
  }
}
```

</details>

{% hint style="danger" %}
Do not base the transaction state on the status field in the response. Always use the response code.
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.udara360.io/udara360-docs-1/transactions/transfer-api/transaction-status-at-query-tsq.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
